Bug 1965402 - Routes are not getting created when using hostname without FQDN standard
Summary: Routes are not getting created when using hostname without FQDN standard
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.z
Assignee: Miciah Dashiel Butler Masters
QA Contact: Arvind iyengar
URL:
Whiteboard:
Depends On: 1957584
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-27 16:17 UTC by OpenShift BugZilla Robot
Modified: 2021-06-29 04:20 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-29 04:19:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift openshift-apiserver pull 211 0 None open [release-4.7] Bug 1965402: Revert 'Bug 1965402: Enhance API host name validation' 2021-06-11 15:46:14 UTC
Github openshift router pull 293 0 None closed [release-4.7] Bug 1965402: Revert 'Bug 1896977: Enhance host name validation in router' 2021-06-11 15:46:14 UTC
Red Hat Product Errata RHBA-2021:2502 0 None None None 2021-06-29 04:20:01 UTC

Comment 2 Arvind iyengar 2021-06-02 04:24:08 UTC
verified in "4.7.0-0.ci.test-2021-06-02-033128-ci-ln-rv5lck2-latest" ci image. With the patch revert in place, the unformatted hostnames are now accepted and functional: 
-------
oc get clusterversion           
NAME      VERSION                                                  AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.ci.test-2021-06-02-033128-ci-ln-rv5lck2-latest   True        False         10m     Cluster version is 4.7.0-0.ci.test-2021-06-02-033128-ci-ln-rv5lck2-latest

oc get svc 
NAME                       TYPE        CLUSTER-IP      EXTERNAL-IP   PORT(S)     AGE
service/service-secure     ClusterIP   172.30.209.51   <none>        27443/TCP   7s
service/service-unsecure   ClusterIP   172.30.60.116   <none>        27017/TCP   6s

oc expose svc service-unsecure --hostname=foobar
route.route.openshift.io/service-unsecure exposed

oc get route service-unsecure -o yaml
apiVersion: route.openshift.io/v1
kind: Route
metadata:
  creationTimestamp: "2021-06-02T04:17:38Z"
  labels:
    name: service-unsecure
  name: service-unsecure
  namespace: test1a
  resourceVersion: "32749"
  uid: 1db916cd-722e-456b-ac89-55331183bed2
spec:
  host: foobar
  port:
    targetPort: http
  to:
    kind: Service
    name: service-unsecure
    weight: 100
  wildcardPolicy: None
status:
  ingress:
  - conditions:
    - lastTransitionTime: "2021-06-02T04:17:39Z"
      status: "True"
      type: Admitted
    host: foobar
    routerCanonicalHostname: apps.ci-ln-rv5lck2-f76d1.origin-ci-int-gce.dev.openshift.com
    routerName: default
    wildcardPolicy: None
-------

Comment 3 Lalatendu Mohanty 2021-06-02 13:08:55 UTC
Copying the comment from https://bugzilla.redhat.com/show_bug.cgi?id=1957584#c21 as it is more appropriate for the bug with 4.7.z target release. 

We are not considering this as UpgradeBlocker because we don't know how many clusters are impacted as this information isn't submitted via Telemetry/Insights. However if we see more customer cases we might change our stance.

Comment 7 errata-xmlrpc 2021-06-29 04:19:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.18 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:2502


Note You need to log in before you can comment on or make changes to this bug.